Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.util
Class ProxyInfo

    java.lang.Object
      org.jboss.portal.common.util.ProxyInfo

    public class ProxyInfo

extends java.lang.Object

Encapsulate info about a proxy and provide a way to instantiate it.

Version:
  $Revision: 5451 $
Author:
  Julien Viet

Constructor Summary
`ProxyInfo(java.lang.Class clazz)`

Method Summary
`java.lang.reflect.Method` | `getEquals()`
`java.lang.reflect.Method` | `getHashCode()`
`java.lang.reflect.Method` | `getToString()`
`java.lang.Object` | `instantiate(java.lang.reflect.InvocationHandler handler)` Instantiate a proxy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyInfo

    public ProxyInfo(java.lang.Class clazz)
              throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### instantiate

    public java.lang.Object instantiate(java.lang.reflect.InvocationHandler handler)
                                 throws java.lang.IllegalAccessException,
                                        java.lang.reflect.InvocationTargetException,
                                        java.lang.InstantiationException

  Instantiate a proxy.

  Parameters:
    `handler` - the invocation handler
  Returns:
    the proxy
  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`
    `java.lang.InstantiationException`

### getToString

    public java.lang.reflect.Method getToString()

### getHashCode

    public java.lang.reflect.Method getHashCode()

### getEquals

    public java.lang.reflect.Method getEquals()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.